curl -X GET https://api.finscreener.in/api/offers/available \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"available_offers": [
{
"id": "offer_pro_monthly",
"name": "Professional Monthly",
"description": "Full access to all features",
"price": 2999,
"duration_days": 30,
"features": ["Recent_GST", "API_ACCESS"]
}
],
"activated_offers": []
}
User & Subscriptions
Available Offers
Get available subscription offers
GET
/
api
/
offers
/
available
curl -X GET https://api.finscreener.in/api/offers/available \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"available_offers": [
{
"id": "offer_pro_monthly",
"name": "Professional Monthly",
"description": "Full access to all features",
"price": 2999,
"duration_days": 30,
"features": ["Recent_GST", "API_ACCESS"]
}
],
"activated_offers": []
}
Retrieve available subscription offers and the user’s activated offers.
Headers
string
required
Bearer token:
Bearer <access_token>Response
array
List of offers available for activation
array
List of offers already activated by the user
curl -X GET https://api.finscreener.in/api/offers/available \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"available_offers": [
{
"id": "offer_pro_monthly",
"name": "Professional Monthly",
"description": "Full access to all features",
"price": 2999,
"duration_days": 30,
"features": ["Recent_GST", "API_ACCESS"]
}
],
"activated_offers": []
}